Subject: Re: bad TSO performance in 2.6.9-rc2-BK

From: "David S. Miller" <[email-masked]>
Date: Wed, 29 Sep 2004 14:50:50 -0700

On Wed, 29 Sep 2004 14:10:24 -0700
Nivedita Singhvi <[email-masked]> wrote:

> I just crashed too, no backtrace. netperf tcp stream test,
> and was on bk14 + dave's 5 patches, p4/e1000 -> Intel Pentium
> M proc (1.7GHz). Going to repeat on slower SMPs with serial
> console, get more info..

I can reproduce this now, it has to do with some weird combinations
of packet loss and SACK'ing.  It's one of the BUG_ON() assertions
triggering in tcp_tso_acked() as I suspected in Andi's first report.

Working on a fix.